Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » How to resolve Xtext dependency to com.google.inject in a multi platform build with maven("Slicer mode requires explicit notation of plugins, but comm.google.inject cannot be resolved)
How to resolve Xtext dependency to com.google.inject in a multi platform build with maven [message #1783456] Tue, 13 March 2018 10:38 Go to next message
bernhard hennlich is currently offline bernhard hennlichFriend
Messages: 3
Registered: March 2018
Junior Member
I have Xtext 2.11 based language SDK written which I want to provide to several platforms win32, win64, linux, ...
My approach is to use eclipse and provide platform which includes all necessary plugin dependencies.
With this approach the targetplatform must be created in slicer mode. This forces the notation of all required bundles.

Xtext has still a dependency to com.google.inject 3.0.0. But this bundle is not available as software site. So how can a valid and complete platform be created and exported, so that a maven build finds all dependencies?

My builds fail with:

[INFO] {osgi.os=win32, osgi.ws=win32, org.eclipse.update.install.features=true, osgi.arch=${target-arch}}
[ERROR] Cannot resolve project dependencies:
[ERROR]   Software being installed: org.franca.compmodel.dsl 0.12.0.qualifier
[ERROR]   Missing requirement: org.eclipse.xtext 2.10.0.v201605250459 requires 'bundle com.google.inject 3.0.0' but it could
not be found
[ERROR]   Missing requirement: org.eclipse.xtext 2.11.0.v20170130-0808 requires 'bundle com.google.inject 3.0.0' but it could
 not be found
[ERROR]   Cannot satisfy dependency: org.franca.compmodel.dsl 0.12.0.qualifier depends on: bundle org.franca.core.dsl [0.12.0
,1.0.0)
[ERROR]   Cannot satisfy dependency: org.franca.core.dsl 0.12.0.201801261637 depends on: bundle org.eclipse.xtext 2.8.0
[ERROR]
[ERROR] See http://wiki.eclipse.org/Tycho/Dependency_Resolution_Troubleshooting for help.
[ERROR] Cannot resolve dependencies of MavenProject: org.franca:org.franca.compmodel.dsl:0.12.0-SNAPSHOT @ C:\dev\franca_sdk\
ascgit312.franca-plus_linux\plugins\org.franca.compmodel.dsl\pom.xml: See log for details -> [Help 1]
org.apache.maven.MavenExecutionException: Cannot resolve dependencies of MavenProject: org.franca:org.franca.compmodel.dsl:0.
12.0-SNAPSHOT @ C:\dev\franca_sdk\ascgit312.franca-plus_linux\plugins\org.franca.compmodel.dsl\pom.xml
Re: How to resolve Xtext dependency to com.google.inject in a multi platform build with maven [message #1783475 is a reply to message #1783456] Tue, 13 March 2018 13:51 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 12391
Registered: July 2009
Senior Member
Google inject should be on one of the orbit update sites

http://download.eclipse.org/tools/orbit/downloads/


Need professional support for Xtext, Xpand, EMF?
Go to: https://xtext.itemis.com
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de
Re: How to resolve Xtext dependency to com.google.inject in a multi platform build with maven [message #1783492 is a reply to message #1783475] Tue, 13 March 2018 15:33 Go to previous messageGo to next message
bernhard hennlich is currently offline bernhard hennlichFriend
Messages: 3
Registered: March 2018
Junior Member
Thank you, that's what I am looking for.
Re: How to resolve Xtext dependency to com.google.inject in a multi platform build with maven [message #1783500 is a reply to message #1783475] Tue, 13 March 2018 16:35 Go to previous messageGo to next message
bernhard hennlich is currently offline bernhard hennlichFriend
Messages: 3
Registered: March 2018
Junior Member
oh, seems to be a hard story to resolve all these dependencies: now I am looking for org.objectweb.asm. Any idea where this is hosted?

[ERROR]   Missing requirement: org.eclipse.xtext.common.types 2.11.0.v20170131-1210 requires 'bundle org.objectweb.asm [5.0.1
,6.0.0)' but it could not be found
[ERROR]   Cannot satisfy dependency: org.eclipse.xtext.xbase 2.11.0.v20170131-1210 depends on: bundle org.eclipse.xtext.commo
n.types 0.0.0
[ERROR]   Cannot satisfy dependency: org.franca.compmodel.dsl 0.12.0.qualifier depends on: bundle org.eclipse.xtext.xbase [2.
11.0,2.12.0)
Re: How to resolve Xtext dependency to com.google.inject in a multi platform build with maven [message #1783501 is a reply to message #1783500] Tue, 13 March 2018 16:35 Go to previous messageGo to next message
Christian Dietrich is currently offline Christian DietrichFriend
Messages: 12391
Registered: July 2009
Senior Member
is on orbit too.

Need professional support for Xtext, Xpand, EMF?
Go to: https://xtext.itemis.com
Twitter : @chrdietrich
Blog : https://www.dietrich-it.de
Re: How to resolve Xtext dependency to com.google.inject in a multi platform build with maven [message #1783554 is a reply to message #1783501] Wed, 14 March 2018 06:15 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 29654
Registered: July 2009
Senior Member
Note for future reference that you can use the following instructions to determine the answer to such questions for repositories hosted on download.eclipse.org:

https://wiki.eclipse.org/Eclipse_Oomph_Authoring#How_to_find_a_P2_repository_at_Eclipse_using_the_Repository_Explorer
Previous Topic:Use of MapMaker in DirtyStateManager
Next Topic:Opting to use original formatter over formatter2
Goto Forum:
  


Current Time: Tue Nov 20 07:55:46 GMT 2018

Powered by FUDForum. Page generated in 0.01897 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top